<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1XsensDataReader.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::XsensDataReader Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a74e971b57cf6381831aab044b364e015">AngularVelocity</a></td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html#aa555b1fd847a6cbf640e104be39f681d">clone</a>() const override</td><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#aef144edd7e61db16341aacd053062cde">createAdapter</a>(const std::string &amp;identifier)</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a79a9329f287070fb0c62371776da8b8d">createTablesFromMatrices</a>(double dataRate, const std::vector&lt; std::string &gt; &amp;labels, const std::vector&lt; double &gt; &amp;times, const SimTK::Matrix_&lt; SimTK::Quaternion &gt; &amp;rotationsData, const SimTK::Matrix_&lt; SimTK::Vec3 &gt; &amp;linearAccelerationData, const SimTK::Matrix_&lt; SimTK::Vec3 &gt; &amp;magneticHeadingData, const SimTK::Matrix_&lt; SimTK::Vec3 &gt; &amp;angularVelocityData) const</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#ac36f915dd4045ef9c52344dd05efe654">DataAdapter</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a0008a82aec446f1b6355f461578eccfe">DataAdapter</a>(const DataAdapter &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62febc0569d61bb65f640347e09d503d">DataAdapter</a>(DataAdapter &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html#a0070db1b9aa04a3b572d597c582bc33b">extendRead</a>(const std::string &amp;folderName) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html#a0104d824f8ec571328e4582d3a3449f6">extendWrite</a>(const DataAdapter::InputTables &amp;tables, const std::string &amp;sinkName) const override</td><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a69fae092f9117a089bae64e0e5120f9e">getAngularVelocityTable</a>(const DataAdapter::OutputTables &amp;tables)</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a556503152419f313eb483897a1be41f4">getDataTable</a>(const OutputTables &amp;tables, const std::string tableName)</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a9bdd448380aa45dfd23fb4345ea23547">getLinearAccelerationsTable</a>(const DataAdapter::OutputTables &amp;tables)</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a44c6f61fee0685d30a3dd8675ce430d2">getMagneticHeadingTable</a>(const DataAdapter::OutputTables &amp;tables)</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#af099917355f76eef9a655cb887a709df">getOrientationsTable</a>(const DataAdapter::OutputTables &amp;tables)</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html#aafcd9e3636843a0cab9bedd9784e6edb">getSettings</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a8e3da602a6759c8e99a10da5ac6ba65c">IMUDataReader</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a602c42d473194ad0ec0d6f76db60186b">IMUDataReader</a>(const IMUDataReader &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#af020dfd8c07436eaf6b50f73b2c8ceb0">IMUDataReader</a>(IMUDataReader &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a77fcec7eb62bc89789fbf836389d5950">InputTables</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a580d03cb70208942f296320a8b1149d0">LinearAccelerations</a></td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a6389087fbebc5f4c0e4001af62a2ee44">MagneticHeading</a></td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#ae307f227896543b20bb113c36d92f595">operator=</a>(const IMUDataReader &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a6f08aa625cfecc6f8350206e4fc2318d">operator=</a>(IMUDataReader &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a75c26383f9e5ae455ea804f07d04b763">OpenSim::DataAdapter::operator=</a>(const DataAdapter &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a80a45642463cb62a05f6f62440855fca">OpenSim::DataAdapter::operator=</a>(DataAdapter &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#ab8cbfddc63a07a2a4ce9efad50d1e052">Orientations</a></td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#aa70731950b2d90af75eb1f4066c43c47">OutputTables</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a7b8e9cede726e0eb399cb95c06f77b49">read</a>(const std::string &amp;dataSourceSpecification) const</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a62f03a9de403f04f57ba03ca333407de">registerDataAdapter</a>(const std::string &amp;identifier, const DataAdapter &amp;adapter)</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a4176166178df34d602b2e01bd7cd026d">RegisteredDataAdapters</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html#aa418320ba797aadfe3b4305f121d7ea9">updSettings</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html#a0ed29e23313f6d3db616233437f70b47">XsensDataReader</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html#adca2339e60f8881decddee390addc5df">XsensDataReader</a>(const XsensDataReaderSettings &amp;settings)</td><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html#a1fa627d27f596e810e49498e6eda8a16">~DataAdapter</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1DataAdapter.html">OpenSim::DataAdapter</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html#a7ac9bc356d31be4b41f6ef6e18193679">~IMUDataReader</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1IMUDataReader.html">OpenSim::IMUDataReader</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html#acc5d375fb21c860dfdea3298868d8b36">~XsensDataReader</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1XsensDataReader.html">OpenSim::XsensDataReader</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:33 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
